Bug 1295738 - non-admin user cannot enable/disable and sync redhat repositories with Satellite 6 web-ui
non-admin user cannot enable/disable and sync redhat repositories with Satell...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.1.5
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 06:26 EST by Kumudini Shirsale
Modified: 2017-08-07 23:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-11 08:30:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2112441 None None None 2016-01-05 07:03 EST
Foreman Issue Tracker 17742 None None None 2016-12-19 11:23 EST

  None (edit)
Description Kumudini Shirsale 2016-01-05 06:26:13 EST
Description of problem:

Allow non-admin user to enable/disable and sync redhat repositories with Satellite 6 web-ui

Version-Release number of selected component (if applicable):
Red Hat Satellite v 6.1.5

Issue description.
- Currently non-admin do not have privilege for enabling/disabling redhat repositories on Satellite web-ui.

- Default roles do not have any permissions to grant enable/disable rights for redhat repositories.

- Tried to create a new custom role and checked for permissions in 'Resource type' "Product and Repositories" but no success.

Actual results:
Non-admin users cannot access the redhat repositories page and  enable/disable desired repository.

Expected results:
Non-admin user should have access to perform enabling and syncing actions for redhat repositories from Satellite web-ui
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:37:25 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Brad Buckingham 2016-12-19 11:23:24 EST
Created redmine issue http://projects.theforeman.org/issues/17742 from this bug
Comment 10 Brad Buckingham 2017-05-11 08:30:52 EDT
On Satellite 6.2.9, I am able to enable/disable Red Hat Repositories from the UI as a non-admin user with the following permissions:

   Resource: Subscription
   Permissions: import_manifest

   Resource: Product and Repositories
   Permissions: view_products, edit_products

Based on this, I am going to close this bugzilla as 'CURRENTRELEASE'; however, please re-open with additional details, if able to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.